<!--
/**
 * @name            README
 * @namespace       doc
 * @type            Markdown
 * @platform        md
 * @status          stable
 * @menu            Documentation           /doc/readme
 *
 * @since           2.0.0
 * @author    Olivier Bossel <olivier.bossel@gmail.com> (https://coffeekraken.io)
 */
-->

{{#> layout-readme }}

## What is this?

Our `SKitchen` class allows you to create and execute some **recipes** of **stacks** of **actions** with ease.

-   **Recipes**
    -   kind of "templates" for some kind of project like "React", "Next", "Nuxt", etc...
-   **Stacks**
    -   like "pipelines" for your project like "dev", "build", etc...
-   **Actions**
    -   like "processes" that are executed in your **stacks** either in parallels or one after the others...

## Usage

The usage of this package is mainly through the `kitchen.config.js` file and the `sugar` CLI like described bellow:

```shell
# Create a new project
sugar kitchen.new
# Run the "dev" recipe
sugar kitchen.recipe dev
# etc...
```

> Note that no recipe is specified in these commands. The "recipe" is usually defined in the `sugar.json` file at the root of your project.

## List the available "recipes"

To list the available recipes, simply execute this command:

```shell
sugar kitchen.list
```

## Create your recipe

To create a new recipe, simply follow [this documentation](/doc/recipes/create-your-recipe)

## Understand and create an action

To understand and create your own action, simply follow [this documentation](/doc/recipes/create-your-recipe4)

{{/ layout-readme }}
